{
  "compilerOptions": {
    "isolatedModules": true,
    "esModuleInterop": true,
    "lib": ["es2020"],
    "module": "NodeNext",
    "preserveConstEnums": true,
    "moduleResolution": "NodeNext",
    "strict": false,
    "strictNullChecks": false,
    "sourceMap": true,
    "target": "es2022",
    "types": ["node", "express"],
    "outDir": "dist",
    "rootDir": ".",
    "skipLibCheck": true,
    "resolveJsonModule": true,
    "allowJs": true
  },
  "include": ["src/**/*", "**/*.ts", "*.ts", "**/*.md", "**/*.json", "**/*.pem", "**/*.txt"],
  "exclude": [
    "node_modules",
    "dist",
    "**/*.test.ts",
    "*.test.ts",
    "**/*.spec.ts",
    "**/__tests__/*",
    "jest.setup.ts"
  ]
}
